<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <div v-if="dispositivo">
        <h2 class="jh-entity-heading" data-cy="dispositivoDetailsHeading">
          <span v-text="$t('gatewayApp.manillaDispositivo.detail.title')">Dispositivo</span> {{ dispositivo.id }}
        </h2>
        <dl class="row jh-entity-details">
          <dt>
            <span v-text="$t('gatewayApp.manillaDispositivo.dispositivo')">Dispositivo</span>
          </dt>
          <dd>
            <span>{{ dispositivo.dispositivo }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaDispositivo.mac')">Mac</span>
          </dt>
          <dd>
            <span>{{ dispositivo.mac }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaDispositivo.conectado')">Conectado</span>
          </dt>
          <dd>
            <span>{{ dispositivo.conectado }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaDispositivo.user')">User</span>
          </dt>
          <dd>
            {{ dispositivo.user ? dispositivo.user.login : '' }}
          </dd>
        </dl>
        <button type="submit" v-on:click.prevent="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <font-awesome-icon icon="arrow-left"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.back')"> Back</span>
        </button>
        <router-link
          v-if="dispositivo.id"
          :to="{ name: 'DispositivoEdit', params: { dispositivoId: dispositivo.id } }"
          custom
          v-slot="{ navigate }"
        >
          <button @click="navigate" class="btn btn-primary">
            <font-awesome-icon icon="pencil-alt"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.edit')"> Edit</span>
          </button>
        </router-link>
      </div>
    </div>
  </div>
</template>

<script lang="ts" src="./dispositivo-details.component.ts"></script>
